using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
//
using HaiTianTechEDWebReference;
using System.Data;
using System.Data.SqlClient;
using DotNet.FrameWork.Common.Web;

public partial class register : System.Web.UI.Page
{
    DataHelpService db = new DataHelpService();
    public string strmoblie;

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            strmoblie = Request.QueryString["mobile"].ToString();
            this.Text1.Value = Request.QueryString["mobile"].ToString();
            //Request.Params
            // Request[]
        }
    }
    protected void bt_start_Click(object sender, ImageClickEventArgs e)
    {
        string strname = Request.Form["name"].ToString();
        string strmoblie = Request.Form["moblie"].ToString();
        string stremail = Request.Form["email"].ToString();
        string strcompany = Request.Form["company"].ToString();
        try
        {
            int i=db.AddCustomer(strname, stremail, strmoblie, strcompany);
            if (i>0)
            {
                Response.Redirect("welcome.aspx");
            }
        }
        catch (System.Exception ex)
        {
            Jscript.ShowAndRedirect(this, "系统提示:注册失败", "default.aspx");
        }
    }
}